> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nectarclimate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Webhook Settings

> Enable or disable webhooks for your organization. When disabled, no webhook events are dispatched and the webhook portal is inaccessible.



## OpenAPI

````yaml /api-reference/openapi-v2-2.json patch /configure_webhook
openapi: 3.1.0
info:
  title: Nectar API Documentation
  version: 1.0.0 (v1)
  description: >-
    Complete API documentation for v2.2 endpoints to managing companies, sites,
    data, and documents
servers:
  - url: https://external.nectarclimate.com/v2.2
    description: Nectar API Server
security: []
paths:
  /configure_webhook:
    patch:
      tags:
        - Webhook Portal
      summary: Update Webhook Settings
      description: >-
        Enable or disable webhooks for your organization. When disabled, no
        webhook events are dispatched and the webhook portal is inaccessible.
      operationId: configure_webhook_partial_update
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchedWebhookSettingsUpdateRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/PatchedWebhookSettingsUpdateRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/PatchedWebhookSettingsUpdateRequest'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WebhookSettings'
          description: ''
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: ''
        '403':
          description: 'Forbidden: Access to the site is denied.'
      security:
        - ExternalAuthentication: []
components:
  schemas:
    PatchedWebhookSettingsUpdateRequest:
      type: object
      description: Request body to enable or disable webhooks.
      properties:
        enabled:
          type: boolean
          description: Set to true to enable webhooks, false to disable.
    WebhookSettings:
      type: object
      description: Current webhook configuration for the organization.
      properties:
        enabled:
          type: boolean
          description: Whether webhooks are enabled for this organization.
      required:
        - enabled
    ErrorResponse:
      type: object
      description: Serializer for error responses.
      properties:
        detail:
          type: string
        error:
          type: string
  securitySchemes:
    ExternalAuthentication:
      type: apiKey
      in: header
      name: X-API-KEY

````